host info updates
[distro-setup] / btrbk-spread-wrap
1 #!/bin/bash
2 # I, Ian Kelling, follow the GNU license recommendations at
3 # https://www.gnu.org/licenses/license-recommendations.en.html. They
4 # recommend that small programs, < 300 lines, be licensed under the
5 # Apache License 2.0. This file contains or is part of one or more small
6 # programs. If a small program grows beyond 300 lines, I plan to switch
7 # its license to GPL.
8
9 # Copyright 2024 Ian Kelling
10
11 # Licensed under the Apache License, Version 2.0 (the "License");
12 # you may not use this file except in compliance with the License.
13 # You may obtain a copy of the License at
14
15 # http://www.apache.org/licenses/LICENSE-2.0
16
17 # Unless required by applicable law or agreed to in writing, software
18 # distributed under the License is distributed on an "AS IS" BASIS,
19 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
20 # See the License for the specific language governing permissions and
21 # limitations under the License.
22
23
24 [[ $EUID == 0 ]] || exec sudo -E "${BASH_SOURCE[0]}" "$@"
25
26 if ! test "$BASH_VERSION"; then echo "error: shell is not bash" >&2; exit 1; fi
27 shopt -s inherit_errexit 2>/dev/null ||: # ignore fail in bash < 4.4
28 set -eE -o pipefail
29 trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" exit status: $?, PIPESTATUS: ${PIPESTATUS[*]}" >&2' ERR
30
31 /a/exe/install-my-scripts
32 printf "%s\n" -k >/etc/btrbk-run-once.conf
33 # running start if it is already starting causes it to just wait until
34 # it done starting. In that case, we'd need to run it twice, or we have
35 # another unit which has an After=, eg btrbk-spread, but that isn't as
36 # good because, we can't have btrbk have After= on btrbk-spread, and
37 # what if btrbk-spread is itself already running, we have the same
38 # problem.
39 systemctl start btrbk
40 if [[ -s /etc/btrbk-run-once.conf ]]; then
41 systemctl start btrbk
42 fi